Skip to main content
`Ctrl`+`K`

# MatMumpsGetRinfog

Get MUMPS parameter RINFOG() https://mumps-solver.org/index.php?page=doc

## Synopsis

    PetscErrorCode MatMumpsGetRinfog(Mat F, PetscInt icntl, PetscReal *val)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

- icntl - index of MUMPS parameter array RINFOG()

## Output Parameter

- val - value of MUMPS RINFOG(icntl)

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatMumpsSetIcntl()`, `MatMumpsGetIcntl()`, `MatMumpsSetCntl()`, `MatMumpsGetCntl()`, `MatMumpsGetInfo()`, `MatMumpsGetInfog()`, `MatMumpsGetRinfo()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Examples

src/ksp/ksp/tutorials/ex52f.F90
src/ksp/ksp/tutorials/ex52.c

## Implementations

MatMumpsGetRinfog_MUMPS() in src/mat/impls/aij/mpi/mumps/impl/imumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages